<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:07 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TechnicalPolicyDefinitionImpl (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TechnicalPolicyDefinitionImpl (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TechnicalPolicyDefinitionImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalAspectImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" target="_top">Frames</a></li>
<li><a href="TechnicalPolicyDefinitionImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl</div>
<h2 title="Class TechnicalPolicyDefinitionImpl" class="title">Class TechnicalPolicyDefinitionImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfigurableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl.IConfigurableImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl.TechnicalPolicyDefinitionImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigurable.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts">IConfigurable</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TechnicalPolicyDefinitionImpl</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfigurableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl">IConfigurableImpl</a>
implements <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Technical Policy Definition</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getBase_Class--"><code><em>Base Class</em></code></a></li>
   <li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code><em>Applicability</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#applicability">applicability</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code><em>Applicability</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#APPLICABILITY_EDEFAULT">APPLICABILITY_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code><em>Applicability</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#base_Class">base_Class</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#TechnicalPolicyDefinitionImpl--">TechnicalPolicyDefinitionImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#basicGetBase_Class--">basicGetBase_Class</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--">getApplicability</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getBase_Class--">getBase_Class</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#setApplicability-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.TechnicalPolicyApplicability-">setApplicability</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a>&nbsp;newApplicability)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#setBase_Class-org.eclipse.uml2.uml.Class-">setBase_Class</a></span>(org.eclipse.uml2.uml.Class&nbsp;newBase_Class)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="base_Class">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>base_Class</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Class base_Class</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getBase_Class--"><code>getBase_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="APPLICABILITY_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLICABILITY_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a> APPLICABILITY_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code><em>Applicability</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code>getApplicability()</code></a></dd>
</dl>
</li>
</ul>
<a name="applicability">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>applicability</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a> applicability</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code><em>Applicability</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html#getApplicability--"><code>getApplicability()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TechnicalPolicyDefinitionImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TechnicalPolicyDefinitionImpl</h4>
<pre>protected&nbsp;TechnicalPolicyDefinitionImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfigurableImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfigurableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl">IConfigurableImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="getBase_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Class</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Class&nbsp;getBase_Class()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#getBase_Class--">getBase_Class</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#setBase_Class-org.eclipse.uml2.uml.Class-"><code>TechnicalPolicyDefinition.setBase_Class(org.eclipse.uml2.uml.Class)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.html#getTechnicalPolicyDefinition_Base_Class--"><code>Ucm_technicalpoliciesPackage.getTechnicalPolicyDefinition_Base_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_Class</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Class&nbsp;basicGetBase_Class()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_Class-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Class</h4>
<pre>public&nbsp;void&nbsp;setBase_Class(org.eclipse.uml2.uml.Class&nbsp;newBase_Class)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#setBase_Class-org.eclipse.uml2.uml.Class-">setBase_Class</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_Class</code> - the new value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#getBase_Class--"><code>TechnicalPolicyDefinition.getBase_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="getApplicability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicability</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a>&nbsp;getApplicability()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#getApplicability--">getApplicability</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Applicability</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code>TechnicalPolicyApplicability</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#setApplicability-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.TechnicalPolicyApplicability-"><code>TechnicalPolicyDefinition.setApplicability(TechnicalPolicyApplicability)</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Ucm_technicalpoliciesPackage.html#getTechnicalPolicyDefinition_Applicability--"><code>Ucm_technicalpoliciesPackage.getTechnicalPolicyDefinition_Applicability()</code></a></dd>
</dl>
</li>
</ul>
<a name="setApplicability-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.TechnicalPolicyApplicability-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicability</h4>
<pre>public&nbsp;void&nbsp;setApplicability(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyApplicability</a>&nbsp;newApplicability)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#setApplicability-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.TechnicalPolicyApplicability-">setApplicability</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newApplicability</code> - the new value of the '<em>Applicability</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyApplicability.html" title="enum in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies"><code>TechnicalPolicyApplicability</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html#getApplicability--"><code>TechnicalPolicyDefinition.getApplicability()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TechnicalPolicyDefinitionImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalAspectImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/Ucm_technicalpoliciesFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" target="_top">Frames</a></li>
<li><a href="TechnicalPolicyDefinitionImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
